Class | Tk::Iwidgets::Fileselectiondialog
In: | tk/lib/tkextlib/iwidgets/fileselectiondialog.rb
Parent: | Tk::Iwidgets::Dialog

### Methods

child_site filter get

### Constants

TkCommandNames | = | ['::iwidgets::fileselectiondialog'.freeze].freeze
WidgetClassName | = | 'Fileselectiondialog'.freeze

### Public Instance methods

child_site()

[Source]

    # File tk/lib/tkextlib/iwidgets/fileselectiondialog.rb, line 21
      def child_site
        window(tk_call(@path, 'childsite'))
      end

filter()

[Source]

    # File tk/lib/tkextlib/iwidgets/fileselectiondialog.rb, line 25
      def filter
        tk_call(@path, 'filter')
        self
      end

get()

[Source]

    # File tk/lib/tkextlib/iwidgets/fileselectiondialog.rb, line 30
      def get
        tk_call(@path, 'get')
      end

[Validate]